Canyon.GM.Panel/Models/Rest/Bans/BanListResponse.cs
namespace Canyon.GM.Panel.Models.Rest.Bans
{
    public class BanListResponse
    {
        public string Type { get; set; }
        public Guid UUID { get; set; }
        public string UserName { get; set; }
        public string BannedBy { get; set; }
        public string Reason { get; set; }
        public DateTime From { get; set; }
        public DateTime To { get; set; }
    }
}

Canyon.GM.Panel/Areas/Articles/Pages/List.cshtml.cs
using Canyon.GM.Panel.Models.Articles;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Canyon.GM.Panel.Areas.Articles.Pages
{
    [Authorize]
    public class ListModel : PageModel
    {
        private readonly ArticleService articleService;

        public ListModel(ArticleService articleService)
        {
            this.articleService = articleService;
        }

        public List<ArticleCategoriesType> ArticleCategoriesTypes { get; set; } = new();

        public async Task<IActionResult> OnGetAsync()
        {
            var articleCategorieTypes = await articleService.QueryActiveArticleCategoryTypeAsync();
            foreach (ArticleCategoryTypeModel type in articleCategorieTypes)
            {
                var cat = new ArticleCategoriesType
                {
                    Id = type.Id,
                    Name = type.Name,
                    Categories = new List<ArticleCategory>()
                };

                List<ArticleCategoryModel> categories = await articleService.QueryActiveArticleCategoriesByTypeAsync(type.Id);
                foreach (var category in categories)
                {
                    var childCat = new ArticleCategory
                    {
                        Id = category.Id,
                        Name = category.Name,
                        RealName = category.RealName,
                        Articles = await articleService.QueryByCategoryAsync(category.Id, 0, 25)
                    };
                    cat.Categories.Add(childCat);
                }
                ArticleCategoriesTypes.Add(cat);
            }
            return Page();
        }

        public struct ArticleCategoriesType
        {
            public int Id { get; set; }
            public string Name { get; set; }
            public List<ArticleCategory> Categories { get; set; }
        }

        public struct ArticleCategory
        {
            public int Id { get; set; }
            public string RealName { get; set; }
            public string Name { get; set; }
            public List<AdminArticleListModel> Articles { get; set; }
        }
    }
}

Canyon.GM.Panel/Areas/CreditCard/Pages/List.cshtml.cs
using Canyon.GM.Panel.Database.Entities.Local;
using Canyon.GM.Panel.Services.Identity;
using Canyon.GM.Panel.Services.Logging;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.ComponentModel.DataAnnotations;

namespace Canyon.GM.Panel.Areas.CreditCard.Pages
{
    [Authorize(Roles = "ManageCreditCards")]
    public class ListModel : PageModel
    {
        private readonly ProductService productService;
        private readonly CreditCardService creditCardService;
        private readonly UserManager userManager;
        private readonly SignInManager signInManager;
        private readonly EventLogger logger;

        public ListModel(
            ProductService productService,
            CreditCardService creditCardService,
            UserManager userManager,
            SignInManager signInManager,
            EventLogger logger
            )
        {
            this.productService = productService;
            this.creditCardService = creditCardService;
            this.userManager = userManager;
            this.signInManager = signInManager;
            this.logger = logger;
        }

        [BindProperty]
        public InputModel Input { get; set; }

        public List<Product> Products { get; private set; } = new();

        [TempData]
        public Guid? CardId { get; set; }

        public async Task<IActionResult> OnGetAsync()
        {
            Products = await productService.GetActiveProductsAsync(0, int.MaxValue);
            return Page();
        }

        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return await OnGetAsync();
            }

            var product = await productService.GetProductByIdAsync(Input.ProductId);
            if (product == null)
            {
                ModelState.AddModelError("Error", "InvalidProduct");
                return await OnGetAsync();
            }

            ApplicationUser currentUser = await userManager.GetUserAsync(User);
            if (currentUser == null)
            {
                await logger.LogAsync(EventLogger.LogType.CreditCardCreationAttempt, false, Input);
                await signInManager.SignOutAsync();
                return RedirectToPage();
            }

            var cards = await creditCardService.GenerateCreditCardsAsync(currentUser, product.CardTypeId, 1);
            if (cards.Count == 0)
            {
                await logger.LogAsync(EventLogger.LogType.CreditCardCreationAttempt, false, Input);
                ModelState.AddModelError("Error", "ErrorGeneratingCard");
                return await OnGetAsync();
            }

            await logger.LogAsync(EventLogger.LogType.CreditCardCreated, true, Input);
            CardId = cards.FirstOrDefault().CardUUID;
            return RedirectToPage();
        }

        public class InputModel
        {
            [Required]
            public Guid ProductId { get; set; }
        }
    }
}

Canyon.GM.Panel/Areas/User/Pages/Bans.cshtml.cs
using Canyon.GM.Panel.Database.Entities.Local;
using Canyon.GM.Panel.Database;
using Canyon.GM.Panel.Models.Bans;
using Canyon.GM.Panel.Models.Rest.Account;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.Security.Claims;
using Canyon.GM.Panel.Services.Identity;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using Canyon.GM.Panel.Services.Logging;
using Canyon.GM.Panel.Services;

namespace Canyon.GM.Panel.Areas.User.Pages
{
    [Authorize(Roles = ROLE_MANAGE_USERS)]
    public class BansModel : PageModel
    {
        private readonly ApplicationDbContext dbContext;
        private readonly SignInManager signInManager;
        private readonly BanService banService;
        private readonly UserManager userManager;
        private readonly GameAccountService gameAccountService;
        private readonly EventLogger eventLogger;

        public BansModel(
            ApplicationDbContext dbContext,
            SignInManager signInManager,
            BanService banService,
            UserManager userManager,
            GameAccountService gameAccountService,
            EventLogger eventLogger
            )
        {
            this.dbContext = dbContext;
            this.signInManager = signInManager;
            this.banService = banService;
            this.userManager = userManager;
            this.gameAccountService = gameAccountService;
            this.eventLogger = eventLogger;
        }

        [BindProperty(SupportsGet = true)]
        public Guid AccountID { get; set; }

        public List<ApplicationUserBanReason> BanReasons { get; private set; } = new();
        public BanReport BanReport { get; set; }

        public ApplicationUser Account { get; set; }
        public ClaimsPrincipal AccountPrincipal { get; set; }
        public List<GameAccountResponse> ConquerAccounts { get; private set; } = new();


        [BindProperty] public UserBanModel InputBan { get; set; }
        [BindProperty] public UserBanModel InputBanGameAccount { get; set; }

        private async Task<IActionResult> OnLoadAsync()
        {
            await eventLogger.LogAsync(EventLogger.LogType.UserBansView, true, new
            {
                AccountID
            });

            Account = await userManager.FindByIdAsync(AccountID.ToString());
            if (Account == null)
            {
                return NotFound();
            }

            BanReasons = await dbContext.ApplicationUserBanReasons.AsQueryable().ToListAsync();
            AccountPrincipal = await signInManager.CreateUserPrincipalAsync(Account);
            BanReport = await banService.GetBanInformationAsync(Account);
            ConquerAccounts = await gameAccountService.GetGameAccountsByParentAsync(AccountID);
            ConquerAccounts = await banService.FillBanInformationAsync(ConquerAccounts, AccountID);
            return Page();
        }

        public Task<IActionResult> OnGetAsync()
        {
            return OnLoadAsync();
        }

        public async Task<IActionResult> OnPostDoBanAsync()
        {
            ModelState.Clear();
            await TryUpdateModelAsync(InputBan);

            if (!ModelState.IsValid)
            {
                return await OnLoadAsync();
            }

            if (await banService.DoBanAsync(User, AccountID, 0, InputBan.ReasonId, InputBan.Description))
            {
                ModelState.AddModelError("success", "UserBanSuccess");
                return RedirectToPage();
            }

            ModelState.AddModelError("error", "UserBanError");
            return await OnLoadAsync();
        }

        public async Task<IActionResult> OnPostDoBanGameAccountAsync()
        {
            ModelState.Clear();
            await TryUpdateModelAsync(InputBanGameAccount);

            if (!ModelState.IsValid)
            {
                return await OnLoadAsync();
            }

            if (await banService.DoBanAsync(User, AccountID, InputBanGameAccount.UserId, InputBanGameAccount.ReasonId, InputBanGameAccount.Description))
            {
                ModelState.AddModelError("success", "UserBanSuccess");
                return RedirectToPage();
            }
            ModelState.AddModelError("error", "UserBanError");
            return await OnLoadAsync();
        }

        public class UserBanModel
        {
            public int UserId { get; set; }
            [Required]
            public int ReasonId { get; set; }
            [Required]
            public string Description { get; set; }
        }
    }
}

Canyon.GM.Panel/Areas/User/Pages/ConquerAccounts.cshtml.cs
using Canyon.GM.Panel.Database.Entities.Local;
using Canyon.GM.Panel.Models.Bans;
using Canyon.GM.Panel.Models.Rest.Account;
using Canyon.GM.Panel.Services.Identity;
using Canyon.GM.Panel.Services.Logging;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.Security.Claims;

namespace Canyon.GM.Panel.Areas.User.Pages
{
    [Authorize(Roles = ROLE_MANAGE_USERS)]
    public class ConquerAccountsModel : PageModel
    {
        private readonly SignInManager signInManager;
        private readonly BanService banService;
        private readonly UserManager userManager;
        private readonly GameAccountService gameAccountService;
        private readonly EventLogger eventLogger;

        public ConquerAccountsModel(
            SignInManager signInManager,
            BanService banService,
            UserManager userManager,
            GameAccountService gameAccountService,
            EventLogger eventLogger
            )
        {
            this.signInManager = signInManager;
            this.banService = banService;
            this.userManager = userManager;
            this.gameAccountService = gameAccountService;
            this.eventLogger = eventLogger;
        }

        [BindProperty(SupportsGet = true)]
        public Guid AccountID { get; set; }

        public BanReport BanReport { get; set; }

        public ApplicationUser Account { get; set; }
        public ClaimsPrincipal AccountPrincipal { get; set; }

        public List<GameAccountResponse> ConquerAccounts { get; private set; } = new();

        private async Task<IActionResult> OnLoadAsync()
        {
            await eventLogger.LogAsync(EventLogger.LogType.UserConquerAccountsView, true, new
            {
                AccountID
            });

            Account = await userManager.FindByIdAsync(AccountID.ToString());
            if (Account == null)
            {
                return NotFound();
            }

            AccountPrincipal = await signInManager.CreateUserPrincipalAsync(Account);
            BanReport = await banService.GetBanInformationAsync(Account);
            ConquerAccounts = await gameAccountService.GetGameAccountsByParentAsync(AccountID);
            await banService.FillBanInformationAsync(ConquerAccounts, AccountID);
            await gameAccountService.FetchConquerAccountsAsync(ConquerAccounts);
            return Page();
        }

        public Task<IActionResult> OnGetAsync()
        {
            return OnLoadAsync();
        }
    }
}

Canyon.GM.Panel/Areas/User/Pages/Index.cshtml.cs
using Canyon.GM.Panel.Database.Entities.Local;
using Canyon.GM.Panel.Models.Rest.Account;
using Canyon.GM.Panel.Services.Identity;
using Canyon.GM.Panel.Services.Logging;
using IdentityModel;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.ComponentModel.DataAnnotations;
using System.Security.Claims;

namespace Canyon.GM.Panel.Areas.User.Pages
{
    [Authorize(Roles = ROLE_MANAGE_USERS)]
    public class IndexModel : PageModel
    {
        private readonly UserManager userManager;
        private readonly SignInManager signinManager;
        private readonly GameAccountService gameAccountService;
        private readonly EventLogger eventLogger;

        public IndexModel(UserManager userManager,
            SignInManager signinManager,
            GameAccountService gameAccountService,
            EventLogger eventLogger
            )
        {
            this.userManager = userManager;
            this.signinManager = signinManager;
            this.gameAccountService = gameAccountService;
            this.eventLogger = eventLogger;
        }

        [BindProperty(SupportsGet = true)]
        public Guid AccountID { get; set; }

        [BindProperty]
        public InputModel Input{ get; set; }

        public ApplicationUser Account { get; set; }
        public ClaimsPrincipal AccountPrincipal { get; set; }
        public List<GameAccountResponse> ConquerAccounts { get; private set; } = new();

        private async Task<IActionResult> OnLoadAsync()
        {
            await eventLogger.LogAsync(EventLogger.LogType.UserGeneralDataView, true, new 
            {
                AccountID
            });

            Account = await userManager.FindByIdAsync(AccountID.ToString());
            if (Account == null)
            {
                return NotFound();
            }

            AccountPrincipal = await signinManager.CreateUserPrincipalAsync(Account);
            ConquerAccounts = await gameAccountService.GetGameAccountsByParentAsync(AccountID);

            if (Input == null)
            {
                Input = new InputModel
                {
                    UserName = Account.UserName,
                    Email = Account.Email,
                    TwoFactorEnabled = Account.TwoFactorEnabled
                };

                var dateOfBirth = AccountPrincipal.FindFirstValue(JwtClaimTypes.BirthDate);
                if (!string.IsNullOrEmpty(dateOfBirth))
                {
                    Input.BirthDate = DateTime.Parse(dateOfBirth);
                }

                var givenName = AccountPrincipal.FindFirstValue(JwtClaimTypes.GivenName);
                if (!string.IsNullOrEmpty(givenName))
                {
                    Input.GivenName = givenName;
                }

                var familyName = AccountPrincipal.FindFirstValue(JwtClaimTypes.FamilyName);
                if (!string.IsNullOrEmpty(familyName))
                {
                    Input.FamilyName = familyName;
                }

                var locale = AccountPrincipal.FindFirstValue(JwtClaimTypes.Locale);
                if (!string.IsNullOrEmpty(locale))
                {
                    Input.Locale = locale;
                }
            }
            return Page();
        }

        public async Task<IActionResult> OnGetAsync()
        {
            return await OnLoadAsync();
        }

        public async Task<IActionResult> OnPostChangeInformationAsync()
        {
            return await OnLoadAsync();
        }

        public class InputModel
        {
            [Required]
            [StringLength(127, MinimumLength = 6)]
            public string GivenName { get; set; }

            [Required]
            [StringLength(127, MinimumLength = 6)]
            public string FamilyName { get; set; }

            [Required]
            [EmailAddress]
            public string Email { get; set; }

            [Required]
            [DataType(DataType.Text)]
            [StringLength(127, MinimumLength = 6)]
            public string UserName { get; set; }

            [Required]
            public bool Password { get; set; }

            [Required]
            public bool TwoFactorEnabled { get; set; }

            [DataType(DataType.Date)]
            public DateTime? BirthDate { get; set; }

            [DataType(DataType.Text)]
            public string Locale { get; set; }
        }
    }
}

Canyon.GM.Panel/Areas/User/Pages/Bans.cshtml
@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@using Microsoft.AspNetCore.Mvc.Localization;
@inject IStringLocalizer StringLocalizer;
@inject IHtmlLocalizer HtmlLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.BansModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40">
    <div class="row">
        <div class="col-md-6">
            <h2>Banir usuário</h2>
            @HtmlLocalizer["BanDescriptionAndObservations"]
            <form asp-page-handler="DoBan">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("BanType")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="InputBan.ReasonId">
                            <option value=""></option>
                            @foreach (var reason in Model.BanReasons.Where(x => x.Type == 0))
                            {
                                <option value="@reason.Id">@StringLocalizer.GetString(reason.Name)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Description")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="InputBan.Description" />
                    </div>
                </div>
                @if (!Model.BanReport.IsAccountBanned)
                {
                    <button class="btn btn-danger mt-3" type="submit">@StringLocalizer.GetString("DoBan")</button>
                }
            </form>
        </div>
        <div class="col-md-6">
            <h3>Histórico</h3>
            <table id="tblUserBans" class="table table-striped table-hover" aria-label="None">
                <thead>
                    <tr>
                        <th>@StringLocalizer.GetString("Reason")</th>
                        <th>@StringLocalizer.GetString("StartDate")</th>
                        <th>@StringLocalizer.GetString("EndDate")</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model.BanReport.Account.Count > 0)
                    {
                        @foreach (var ban in Model.BanReport.Account)
                        {
                            <tr>
                                <td>@ban.Name</td>
                                <td>@ban.From</td>
                                <td>@ban.To</td>
                                <td></td>
                            </tr>
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="4">
                                @StringLocalizer.GetString("NoData")
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>

    <hr />

    <div class="col-12">
        <h2>Banir conta em jogo</h2>
    </div>

    <table id="tblGameUserBans" class="table table-striped table-hover table-responsive mt-5" aria-label="None">
        <thead>
            <tr>
                <th>@StringLocalizer.GetString("UserName")</th>
                <th>@StringLocalizer.GetString("Reason")</th>
                <th>@StringLocalizer.GetString("StartDate")</th>
                <th>@StringLocalizer.GetString("EndDate")</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.BanReport.Game.Count > 0)
            {
                @foreach (var ban in Model.BanReport.Game)
                {
                    <tr>
                        <td>@ban.Name</td>
                        <td>@StringLocalizer[ban.Reason]</td>
                        <td>@ban.From</td>
                        <td>@ban.To</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="4">
                        @StringLocalizer.GetString("NoData")
                    </td>
                </tr>
            }
        </tbody>
    </table>

    <div class="row mt-5">
        <div class="col-md-6">
            <form asp-page-handler="DoBanGameAccount">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GameAccount")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="InputBanGameAccount.UserId">
                            <option value=""></option>
                            @foreach (var account in Model.ConquerAccounts.Where(x => x.Flag == 0))
                            {
                                <option value="@account.Id">@StringLocalizer.GetString(account.Username)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("BanType")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="InputBanGameAccount.ReasonId">
                            <option value=""></option>
                            @foreach (var reason in Model.BanReasons.Where(x => x.Type == 1))
                            {
                                <option value="@reason.Id">@StringLocalizer.GetString(reason.Name)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Description")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="InputBanGameAccount.Description" />
                    </div>
                </div>
                <button class="btn btn-danger mt-3" type="submit">@StringLocalizer.GetString("DoBan")</button>
            </form>
        </div>
    </div>
</div>

Canyon.GM.Panel/Areas/User/Pages/Index.cshtml
@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.IndexModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<form method="post" asp-page-handler="ChangeInformation">
    <div class="mt-30 mb-40">
        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Identity")</label>
                    <div class="col-sm-8">
                        @Model.AccountID
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("CreationDate")</label>
                    <div class="col-sm-8">
                        @Model.Account.CreationDate.ToString()
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("UserName")</label>
                    <div class="col-sm-8">
                        @Model.Account.UserName
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Email")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.Email" />
                        <small id="emailHelp" class="form-text text-muted">@StringLocalizer.GetString("AdmPanelEmailAlert")</small>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Password")</label>
                    <div class="col-sm-8">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" role="switch" asp-for="Input.Password">
                            <label class="form-check-label" asp-for="Input.Password">@StringLocalizer.GetString("AdmPanelPasswordAlert")</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("TwoFactorEnabled")</label>
                    <div class="col-sm-8">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" role="switch" asp-for="Input.TwoFactorEnabled">
                            <label class="form-check-label" asp-for="Input.TwoFactorEnabled">@StringLocalizer.GetString("TwoFactorDisableAlert")</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GivenName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.GivenName" />
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("FamilyName")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.FamilyName" />
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-5">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Birthday")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.BirthDate" />
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Language")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="Input.Locale">
                            @foreach (var question in LanguageService.AvailableLanguages)
                            {
                                <option value="@question.LanguageCultureName">@question.LanguageFullName</option>
                            }
                        </select>
                    </div>
                </div>
            </div>
        </div>

        <button class="btn btn-primary mt-5" type="submit">@StringLocalizer.GetString("Submit")</button>
    </div>
</form>

Canyon.GM.Panel/Areas/User/Pages/ShopHistory.cshtml
@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.ShopHistoryModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40 table-responsive">
    <table id="conquerPurchasesTable" class="table table-bordered" aria-label="None">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">@StringLocalizer["Date"]</th>
                <th scope="col">@StringLocalizer["PaymentMethod"]</th>
                <th scope="col">@StringLocalizer["PaymentStatus"]</th>
                <th scope="col">@StringLocalizer["Value"]</th>
                <th scope="col">@StringLocalizer["Action"]</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var purchase in Model.PaymentsOrders)
            {
                <tr>
                    <td>@purchase.Id</td>
                    <td>@purchase.CreatedAt</td>
                    <td>@StringLocalizer[purchase.Method.Name]</td>
                    <td>@StringLocalizer[purchase.Status.ToString()]</td>
                    <td>R$ @purchase.Price.ToString("N2")</td>
                    <td>
                        <a asp-area="Purchases" asp-page="Index" asp-route-OrderID="@purchase.Id" asp-route-ReturnUrl="/User/ShopHistory/@Model.AccountID" class="btn btn-link"><i class="fa fa-search" aria-hidden="true"></i></a>
                    </td>
                </tr>
            }
        </tbody>
        <tfoot>
            <tr>
                <td>@StringLocalizer["TotalAwaitingPayment"]</td>
                <td>R$ @Model.PaymentsPending.ToString("N2")</td>
                <td>@StringLocalizer["TotalSpent"]</td>
                <td>R$ @Model.PaymentsTotal.ToString("N2")</td>
                <td>@StringLocalizer["TotalRefunded"]</td>
                <td>R$ @Model.PaymentsRefund.ToString("N2")</td>
            </tr>
        </tfoot>
    </table>
</div>